com.holonplatform.core

## Interface ParameterSet.Builder<S extends ParameterSet>

- Type Parameters:
    `S` - Concrete ParameterSet type to build
  Enclosing interface:
    ParameterSet

      public static interface ParameterSet.Builder<S extends ParameterSet>

  `ParameterSet` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `S` | `build()` Build ParameterSet
    `<T> ParameterSet.Builder<S>` | `parameter(ConfigProperty<T> property, T value)` Add a parameter using a `ConfigProperty` an `ConfigProperty.getKey()` as parameter name
    `ParameterSet.Builder<S>` | `parameter(String name, Object value)` Add a parameter
    `ParameterSet.Builder<S>` | `parameters(Map<String,Object> parameters)` Add all given parameters to the set
    `ParameterSet.Builder<S>` | `parameters(ParameterSet parameters)` Add all parameters of the given `parameters` set

- - ### Method Detail

    - #### parameter

          ParameterSet.Builder<S> parameter(String name,
                                            Object value)

      Add a parameter
      Parameters:
        `name` - Parameter name
        `value` - Parameter value
      Returns:
        this

    - #### parameter

          <T> ParameterSet.Builder<S> parameter(ConfigProperty<T> property,
                                                T value)

      Add a parameter using a `ConfigProperty` an `ConfigProperty.getKey()` as parameter name
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - ConfigProperty (not null) to obtain parameter name
        `value` - Parameter value
      Returns:
        this

    - #### parameters

          ParameterSet.Builder<S> parameters(Map<String,Object> parameters)

      Add all given parameters to the set
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### parameters

          ParameterSet.Builder<S> parameters(ParameterSet parameters)

      Add all parameters of the given `parameters` set
      Parameters:
        `parameters` - Parameters to add
      Returns:
        this

    - #### build

          S build()

      Build ParameterSet
      Returns:
        ParameterSet instance

Copyright © 2017 The Holon Platform. All rights reserved.